import vlc
import os
import numpy as np

Ins = vlc.Instance()
ListCount = 0
ListMove= ""

def mp3serch(mp3path):
    mp3Files = []
    for (dirpath, dirnames, filenames) in os.walk(mp3path):
        for partFile in filenames:
            fileExten = partFile[-4:]
            if fileExten == '.mp3':
                mp3Files.append(partFile)
    return mp3Files

MyPlayList = mp3serch('./')
        
while ListCount<len(MyPlayList):
    Mp3Player = Ins.media_player_new()
    MediaFile = Ins.media_new(MyPlayList[ListCount])
    Mp3Player.set_media(MediaFile)
    Mp3Player.play()
    print "Now Playing : ", MyPlayList[ListCount]
    ListMove = raw_input('Press a key [n for next,p for prev,q for quit]:')
    
    if ListCount>len(MyPlayList) or ListMove=='q':
        Mp3Player.stop()
        print "Closed"
        break
        
    elif ListMove=='n':
        ListCount +=1
        Mp3Player.stop()

    if ListCount>0 and ListMove=='p':
        ListCount -=1
        Mp3Player.stop()
        
    elif ListCount<1 and ListMove=='p':
        print "You are still at the begining of the List!"
        ListCount=ListCount
        Mp3Player.stop()
